Subject: Re: bug#54804: 29.0.50; zap-to-char: case sensitive for upper-case letter

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 May 2022 16:38:43 +0300

> From: Tino Calancha <[email-masked]>
> Date: Tue, 17 May 2022 14:53:41 +0200 (CEST)
> cc: Eli Zaretskii <[email-masked]>, Tino Calancha <[email-masked]>, 
>     [email-masked], [email-masked], [email-masked], 
>     [email-masked]
> 
> 
> 
> On Tue, 17 May 2022, Stefan Monnier wrote:
> 
> >>> I want the analog behavior for zap-to... commands: automatic
> >>> case sensitivity when the char is uppercase.
> >>> I want this behavior on interactive calls only, for instance when users
> >>> do `M-z'.
> >>
> >> As I said I disagree: these are DWIMish features that are best
> >> reserved for interactive invocation.  In calls from Lisp, it is
> >> confusing to have the behavior change so drastically depending on the
> >> letter-case of an argument.
> >
> > Am I misunderstanding something or are you two violently agreeing?
> 
> We both agree with a sword in a hand.
> 
> I don't want to change the behavior on Lisp call!
> Just let me know the nice way to detect that the call is interactive and 
> then I will inject the feature :-)

If you only make the search case-sensitive in the 'interactive' form,
that happens automagically.